diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m242_src.orig/bridges/test/inter_libs_exc/makefile.mk ooo_SRC680_m242_src.pj89/bridges/test/inter_libs_exc/makefile.mk
--- ooo_SRC680_m242_src.orig/bridges/test/inter_libs_exc/makefile.mk	2007-03-09 09:49:22.000000000 +0100
+++ ooo_SRC680_m242_src.pj89/bridges/test/inter_libs_exc/makefile.mk	2007-12-23 10:46:54.000000000 +0100
@@ -41,7 +41,6 @@
 ENABLE_EXCEPTIONS=TRUE
 USE_DEFFILE=TRUE
 
-EXTERNAL_WARNINGS_NOT_ERRORS := TRUE
 # --- Settings -----------------------------------------------------
 
 .INCLUDE :  settings.mk
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m242_src.orig/bridges/test/makefile.mk ooo_SRC680_m242_src.pj89/bridges/test/makefile.mk
--- ooo_SRC680_m242_src.orig/bridges/test/makefile.mk	2007-03-09 09:49:10.000000000 +0100
+++ ooo_SRC680_m242_src.pj89/bridges/test/makefile.mk	2007-12-23 10:48:58.000000000 +0100
@@ -41,7 +41,6 @@
 TARGETTYPE=CUI
 ENABLE_EXCEPTIONS=TRUE
 
-EXTERNAL_WARNINGS_NOT_ERRORS := TRUE
 # --- Settings -----------------------------------------------------
 
 .INCLUDE :  settings.mk
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m242_src.orig/bridges/test/testclient.cxx ooo_SRC680_m242_src.pj89/bridges/test/testclient.cxx
--- ooo_SRC680_m242_src.orig/bridges/test/testclient.cxx	2006-09-16 18:03:04.000000000 +0200
+++ ooo_SRC680_m242_src.pj89/bridges/test/testclient.cxx	2007-12-23 10:50:52.000000000 +0100
@@ -38,6 +38,7 @@
 #include <string.h>
 
 #if OSL_DEBUG_LEVEL == 0
+#undef NDEBUG
 #define NDEBUG
 #endif
 #include <assert.h>
@@ -88,7 +89,7 @@
 #include "testcomp.h"
 
 
-void doPerformanceTest( const Reference < XPerformanceTest > & xBench )
+void doPerformanceTest( const Reference < XPerformanceTest > & /* xBench */)
 {
 	printf( "not implemented\n" );
 //  	sal_Int32 i,nLoop = 2000;
@@ -113,7 +114,7 @@
 
 }
 
-void testLatency( const Reference < XConnection > &r , sal_Bool bReply )
+void testLatency( const Reference < XConnection > &r , sal_Bool /* bReply */)
 {
 	sal_Int32 nLoop = 10000;
 	TimeValue aStartTime, aEndTime;
@@ -137,7 +138,6 @@
 
 int main( int argc, char *argv[] )
 {
-	sal_Bool bUseNew = ( 3 == argc );
 	if( argc < 2 )
 	{
 		printf(
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m242_src.orig/bridges/test/testcomp.cxx ooo_SRC680_m242_src.pj89/bridges/test/testcomp.cxx
--- ooo_SRC680_m242_src.orig/bridges/test/testcomp.cxx	2006-09-16 18:03:17.000000000 +0200
+++ ooo_SRC680_m242_src.pj89/bridges/test/testcomp.cxx	2007-12-23 11:14:28.000000000 +0100
@@ -36,6 +36,7 @@
 // MARKER(update_precomp.py): autogen include statement, do not remove
 #include "precompiled_bridges.hxx"
 #if OSL_DEBUG_LEVEL == 0
+#undef NDEBUG
 #define NDEBUG
 #endif
 #include <assert.h>
@@ -146,7 +147,7 @@
 	ServiceImpl()
 		: _nRef( 0 )
 		{}
-	ServiceImpl( const Reference< XMultiServiceFactory > & xMgr )
+	ServiceImpl( const Reference< XMultiServiceFactory > & /* xMgr */)
 		: _nRef( 0 )
 		{}
 
@@ -185,77 +186,77 @@
     // Attributes
     virtual sal_Int32 SAL_CALL getLong_attr() throw(::com::sun::star::uno::RuntimeException)
 		{ return 0; }
-    virtual void SAL_CALL setLong_attr( sal_Int32 _attributelong ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setLong_attr( sal_Int32 /* _attributelong */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual sal_Int64 SAL_CALL getHyper_attr() throw(::com::sun::star::uno::RuntimeException)
 		{ return 0; }
-    virtual void SAL_CALL setHyper_attr( sal_Int64 _attributehyper ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setHyper_attr( sal_Int64 /* _attributehyper */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual float SAL_CALL getFloat_attr() throw(::com::sun::star::uno::RuntimeException)
 		{ return 0.0; }
-    virtual void SAL_CALL setFloat_attr( float _attributefloat ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setFloat_attr( float /* _attributefloat */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual double SAL_CALL getDouble_attr() throw(::com::sun::star::uno::RuntimeException)
 		{ return 0.0; }
-    virtual void SAL_CALL setDouble_attr( double _attributedouble ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setDouble_attr( double /* _attributedouble */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual OUString SAL_CALL getString_attr() throw(::com::sun::star::uno::RuntimeException)
 		{ return _aDummyString; }
-    virtual void SAL_CALL setString_attr( const ::rtl::OUString& _attributestring ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setString_attr( const ::rtl::OUString& /* _attributestring */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual Reference< XInterface > SAL_CALL getInterface_attr() throw(::com::sun::star::uno::RuntimeException)
 		{ return Reference< XInterface >(); }
-    virtual void SAL_CALL setInterface_attr( const Reference< XInterface >& _attributeinterface ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setInterface_attr( const Reference< XInterface >& /* _attributeinterface */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual Any SAL_CALL getAny_attr() throw(::com::sun::star::uno::RuntimeException)
 		{ return _aDummyAny; }
-    virtual void SAL_CALL setAny_attr( const Any& _attributeany ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setAny_attr( const Any& /* _attributeany */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual Sequence< Reference< XInterface > > SAL_CALL getSequence_attr() throw(::com::sun::star::uno::RuntimeException)
 		{ return _aDummySequence; }
-    virtual void SAL_CALL setSequence_attr( const Sequence< Reference< XInterface > >& _attributesequence ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setSequence_attr( const Sequence< Reference< XInterface > >& /* _attributesequence */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual ComplexTypes SAL_CALL getStruct_attr() throw(::com::sun::star::uno::RuntimeException)
 		{ return _aDummyStruct; }
-    virtual void SAL_CALL setStruct_attr( const ::com::sun::star::test::performance::ComplexTypes& _attributestruct ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setStruct_attr( const ::com::sun::star::test::performance::ComplexTypes& /* _attributestruct */) throw(::com::sun::star::uno::RuntimeException)
 		{}
 
     // Methods
     virtual sal_Int32 SAL_CALL getLong() throw(::com::sun::star::uno::RuntimeException)
 		{ return 0; }
-    virtual void SAL_CALL setLong( sal_Int32 _long ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setLong( sal_Int32 /* _long */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual sal_Int64 SAL_CALL getHyper() throw(::com::sun::star::uno::RuntimeException)
 		{ return 0; }
-    virtual void SAL_CALL setHyper( sal_Int64 _hyper ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setHyper( sal_Int64 /* _hyper */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual float SAL_CALL getFloat() throw(::com::sun::star::uno::RuntimeException)
 		{ return 0; }
-    virtual void SAL_CALL setFloat( float _float ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setFloat( float /* _float */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual double SAL_CALL getDouble() throw(::com::sun::star::uno::RuntimeException)
 		{ return 0; }
-    virtual void SAL_CALL setDouble( double _double ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setDouble( double /* _double */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual OUString SAL_CALL getString() throw(::com::sun::star::uno::RuntimeException)
 		{ return _aDummyString; }
-    virtual void SAL_CALL setString( const ::rtl::OUString& _string ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setString( const ::rtl::OUString& /* _string */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual Reference< XInterface > SAL_CALL getInterface() throw(::com::sun::star::uno::RuntimeException)
 		{ return Reference< XInterface >(); }
-    virtual void SAL_CALL setInterface( const ::com::sun::star::uno::Reference< ::com::sun::star::uno::XInterface >& _interface ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setInterface( const ::com::sun::star::uno::Reference< ::com::sun::star::uno::XInterface >& /* _interface */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual Any SAL_CALL getAny() throw(::com::sun::star::uno::RuntimeException)
 		{ return _aDummyAny; }
-    virtual void SAL_CALL setAny( const ::com::sun::star::uno::Any& _any ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setAny( const ::com::sun::star::uno::Any& /* _any */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual Sequence< Reference< XInterface > > SAL_CALL getSequence() throw(::com::sun::star::uno::RuntimeException)
 		{ return _aDummySequence; }
-    virtual void SAL_CALL setSequence( const Sequence< Reference< XInterface > >& _sequence ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setSequence( const Sequence< Reference< XInterface > >& /*_sequence */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual ComplexTypes SAL_CALL getStruct() throw(::com::sun::star::uno::RuntimeException)
 		{ return _aDummyStruct; }
-    virtual void SAL_CALL setStruct( const ::com::sun::star::test::performance::ComplexTypes& c ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL setStruct( const ::com::sun::star::test::performance::ComplexTypes& /* c */) throw(::com::sun::star::uno::RuntimeException)
 		{}
 
     virtual void SAL_CALL async() throw(::com::sun::star::uno::RuntimeException);
@@ -266,9 +267,9 @@
 		{ return aVal; }
     virtual ComplexTypes SAL_CALL complex_inout( ::com::sun::star::test::performance::ComplexTypes& aVal ) throw(::com::sun::star::uno::RuntimeException)
 		{ return aVal; }
-    virtual void SAL_CALL complex_oneway( const ::com::sun::star::test::performance::ComplexTypes& aVal ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL complex_oneway( const ::com::sun::star::test::performance::ComplexTypes& /* aVal */) throw(::com::sun::star::uno::RuntimeException)
 		{}
-    virtual void SAL_CALL complex_noreturn( const ::com::sun::star::test::performance::ComplexTypes& aVal ) throw(::com::sun::star::uno::RuntimeException)
+    virtual void SAL_CALL complex_noreturn( const ::com::sun::star::test::performance::ComplexTypes& /* aVal */) throw(::com::sun::star::uno::RuntimeException)
 		{}
     virtual Reference< XPerformanceTest > SAL_CALL createObject() throw(::com::sun::star::uno::RuntimeException)
 		{ return new ServiceImpl(); }
@@ -288,7 +289,7 @@
 	return OUString( );
 }
 //__________________________________________________________________________________________________
-sal_Bool ServiceImpl::supportsService( const OUString & rServiceName )
+sal_Bool ServiceImpl::supportsService( const OUString & /* rServiceName */)
 	throw (RuntimeException)
 {
 	return sal_False;
@@ -337,17 +338,15 @@
 	}
 }
 
-void SAL_CALL OCallMe::drawLine( sal_Int32 x1, sal_Int32 y1 , sal_Int32 x2 , sal_Int32 y2 )
+void SAL_CALL OCallMe::drawLine( sal_Int32 /* x1 */, sal_Int32 /* y1 */, sal_Int32 /* x2 */, sal_Int32 /* y2 */)
 		throw(::com::sun::star::uno::RuntimeException)
 {
 	// do nothings
 }
 
-void OCallMe::callOneway( const ::rtl::OUString& s, sal_Int32 nToDo )
+void OCallMe::callOneway( const ::rtl::OUString& /* s */, sal_Int32 nToDo )
 	throw(RuntimeException)
 {
-	static int iBefore = 0;
-
 	OUString sDummy;
 	m_nLastToDos = nToDo;
 
@@ -379,21 +378,21 @@
 {
 	m_sAttribute = _sattribute;
 }
-void OCallMe::callAgain( const Reference< ::test::XCallMe >& callAgain,
+void OCallMe::callAgain( const Reference< ::test::XCallMe >& callAgainArg,
 						 sal_Int32 nToCall ) throw(RuntimeException)
 {
 	::osl::MutexGuard guard( m_mutex );
 	if( nToCall %2 )
 	{
-		printf( "Deadlocktest pong %d\n", nToCall );
+		printf( "Deadlocktest pong %" SAL_PRIdINT32 "\n", nToCall );
 	}
 	else
 	{
-		printf( "Deadlocktest ping %d\n", nToCall );
+		printf( "Deadlocktest ping %" SAL_PRIdINT32 "\n", nToCall );
 	}
 	if( nToCall )
 	{
-		callAgain->callAgain( Reference< XCallMe > ( (XCallMe *) this ) , nToCall -1 );
+		callAgainArg->callAgain( Reference< XCallMe > ( (XCallMe *) this ) , nToCall -1 );
 	}
 }
 
@@ -553,7 +552,7 @@
 {
   	printf( "Doing oneway performance test on two interfaces ...\n" );
 	const sal_Int32 nLoops = 10000;
-	TimeValue aStartTime, aEndTime, aAfterExecution;
+	TimeValue aStartTime, aEndTime;
 	osl_getSystemTime( &aStartTime );
 	for( sal_Int32 i = 0; i < nLoops ; i ++ )
 	{
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m242_src.orig/bridges/test/testsameprocess.cxx ooo_SRC680_m242_src.pj89/bridges/test/testsameprocess.cxx
--- ooo_SRC680_m242_src.orig/bridges/test/testsameprocess.cxx	2006-09-16 18:03:43.000000000 +0200
+++ ooo_SRC680_m242_src.pj89/bridges/test/testsameprocess.cxx	2007-12-23 10:52:27.000000000 +0100
@@ -36,6 +36,7 @@
 // MARKER(update_precomp.py): autogen include statement, do not remove
 #include "precompiled_bridges.hxx"
 #if OSL_DEBUG_LEVEL == 0
+#undef NDEBUG
 #define NDEBUG
 #endif
 #include <assert.h>
@@ -202,8 +203,8 @@
 				    testRemote( rInitialObject );
 				}
 				printf( "Closing...\n" );
-				TimeValue value={2,0};
-				osl_waitThread( &value );
+				TimeValue timeValue={2,0};
+				osl_waitThread( &timeValue );
 			}
 
 			Reference < XBridge > rBridge = rFactory->getBridge(
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m242_src.orig/bridges/test/testserver.cxx ooo_SRC680_m242_src.pj89/bridges/test/testserver.cxx
--- ooo_SRC680_m242_src.orig/bridges/test/testserver.cxx	2006-09-16 18:03:57.000000000 +0200
+++ ooo_SRC680_m242_src.pj89/bridges/test/testserver.cxx	2007-12-23 10:52:41.000000000 +0100
@@ -95,11 +95,11 @@
 			  sal_Bool bLatency ) :
 		m_rAcceptor( r ),
 		m_rBridgeFactory ( rFactory ),
+		m_rSMgr( rSMgr ),
 		m_sConnectionDescription( sConnectionDescription ),
 		m_sProtocol( sProtocol ),
 		m_bReverse( bReverse ),
-		m_bLatency( bLatency ),
-		m_rSMgr( rSMgr )
+		m_bLatency( bLatency )
 		{}
 	virtual void SAL_CALL run();
 
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m242_src.orig/goodies/source/inv/makefile.mk ooo_SRC680_m242_src.pj89/goodies/source/inv/makefile.mk
--- ooo_SRC680_m242_src.orig/goodies/source/inv/makefile.mk	2007-11-02 14:07:41.000000000 +0100
+++ ooo_SRC680_m242_src.pj89/goodies/source/inv/makefile.mk	2007-12-23 10:46:20.000000000 +0100
@@ -39,8 +39,6 @@
 TARGET=invader
 TARGETTYPE=GUI
 
-EXTERNAL_WARNINGS_NOT_ERRORS := TRUE
-
 # --- Settings -----------------------------------------------------
 
 .INCLUDE :  settings.mk
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m242_src.orig/lingucomponent/source/languageguessing/makefile.mk ooo_SRC680_m242_src.pj89/lingucomponent/source/languageguessing/makefile.mk
--- ooo_SRC680_m242_src.orig/lingucomponent/source/languageguessing/makefile.mk	2007-09-06 15:43:37.000000000 +0200
+++ ooo_SRC680_m242_src.pj89/lingucomponent/source/languageguessing/makefile.mk	2007-12-23 14:54:30.000000000 +0100
@@ -38,8 +38,6 @@
 
 TARGET=guesslang
 
-#EXTERNAL_WARNINGS_NOT_ERRORS=TRUE
-
 ENABLE_EXCEPTIONS=TRUE
 
 #----- Settings ---------------------------------------------------------
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m242_src.orig/linguistic/source/makefile.mk ooo_SRC680_m242_src.pj89/linguistic/source/makefile.mk
--- ooo_SRC680_m242_src.orig/linguistic/source/makefile.mk	2007-05-25 14:24:25.000000000 +0200
+++ ooo_SRC680_m242_src.pj89/linguistic/source/makefile.mk	2007-12-23 14:53:43.000000000 +0100
@@ -38,7 +38,6 @@
 PRJNAME=linguistic
 TARGET=lng
 ENABLE_EXCEPTIONS=TRUE
-#EXTERNAL_WARNINGS_NOT_ERRORS=TRUE
 
 #----- Settings ---------------------------------------------------------
 
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_SRC680_m242_src.orig/xmlsecurity/source/xmlsec/nss/securityenvironment_nssimpl.cxx ooo_SRC680_m242_src.pj89/xmlsecurity/source/xmlsec/nss/securityenvironment_nssimpl.cxx
--- ooo_SRC680_m242_src.orig/xmlsecurity/source/xmlsec/nss/securityenvironment_nssimpl.cxx	2007-11-07 11:07:10.000000000 +0100
+++ ooo_SRC680_m242_src.pj89/xmlsecurity/source/xmlsec/nss/securityenvironment_nssimpl.cxx	2008-01-11 17:43:45.000000000 +0100
@@ -554,7 +554,7 @@
 
 Reference< XCertificate > SecurityEnvironment_NssImpl :: getCertificate( const OUString& issuerName, const Sequence< sal_Int8 >& serialNumber ) throw( SecurityException , RuntimeException ) 
 {
-	X509Certificate_NssImpl* xcert ;
+	X509Certificate_NssImpl* xcert = NULL;
 
 	if( m_pHandler != NULL ) {
 		CERTIssuerAndSN issuerAndSN ;
